Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.framestore
Class Registration

    java.lang.Object
      edu.stanford.smi.protege.server.framestore.Registration

    public class Registration

extends Object

Author:
  Ray Fergerson Description of this class

Constructor Summary
`Registration(FifoWriter<AbstractEvent> events)`

Method Summary
`void` | `addCommittableUpdate(ValueUpdate vu)`
`void` | `addUpdate(ValueUpdate vu)`
`void` | `endTransaction()`
`List<ValueUpdate>` | `getAndClearValueUpdates()`
`BandWidthPolicy` | `getBandWidthPolicy()`
`List<ValueUpdate>` | `getCommits()`
`FifoReader<AbstractEvent>` | `getEvents()`
`long` | `getLastHeartbeat()`
`void` | `setLastHeartbeat(long lastHeartbeat)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Registration

    public Registration(FifoWriter<AbstractEvent> events)

Method Detail

### getEvents

    public FifoReader<AbstractEvent> getEvents()

### getAndClearValueUpdates

    public List<ValueUpdate> getAndClearValueUpdates()

### addUpdate

    public void addUpdate(ValueUpdate vu)

### addCommittableUpdate

    public void addCommittableUpdate(ValueUpdate vu)

### getCommits

    public List<ValueUpdate> getCommits()

### endTransaction

    public void endTransaction()

### getBandWidthPolicy

    public BandWidthPolicy getBandWidthPolicy()

### getLastHeartbeat

    public long getLastHeartbeat()

### setLastHeartbeat

    public void setLastHeartbeat(long lastHeartbeat)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.